"""
AI Snake Game - A classic snake game with AI capabilities.

This package contains all the core game components including:
- Game engine and state management
- Snake movement and collision detection
- Food spawning system
- Menu interface
- AI controllers (coming soon)
"""

from src import config
from src import core
from src import ai
from src import ui
from src.game import Game, GameState
from src.ui.menu import GameMode

__version__ = '0.1.0'
__author__ = 'Rbanh'

# Define what's available when using "from src import *"
__all__ = [
    'Game',
    'GameState',
    'Snake',
    'Direction',
    'Food',
    'Menu',
    'GameMode',
    'MenuItem',
    'cli_main',
    'config',
    'core',
    'ai',
    'ui'
] 