"""
Game Configuration Package

This package contains game configuration and constants.
"""

from .constants import *
from .settings import GameRules, GameSettings

__all__ = [
    'GameRules', 
    'GameSettings',
    # Include all constants
    'WINDOW_WIDTH',
    'WINDOW_HEIGHT',
    'DEFAULT_GRID_WIDTH',
    'DEFAULT_GRID_HEIGHT',
    'DEFAULT_GRID_SIZE',
    'DEFAULT_PADDING',
    'DEFAULT_SCORE_HEIGHT',
    'BLACK',
    'WHITE',
    'GREEN',
    'DARK_GREEN',
    'GRAY',
    'DARK_GRAY',
    'GRID_COLOR',
    'TITLE_FONT_SIZE',
    'SUBTITLE_FONT_SIZE',
    'SCORE_FONT_SIZE',
    'DEBUG_FONT_SIZE',
    'FPS',
    'DEFAULT_MOVE_COOLDOWN',
    'MIN_MOVE_COOLDOWN',
    'MENU_ITEM_SPACING'
] 