"""
Main entry point for the AI Snake Game.

This module provides the standard entry point for running the game
without any command line arguments.
"""

import pygame
import sys
from src.game import Game

def main():
    """Run the game with default settings."""
    # Initialize Pygame
    pygame.init()
    
    # Create game instance
    game = Game()
    
    try:
        # Run the game
        game.run()
    except Exception as e:
        print(f"Error: {e}")
    finally:
        # Clean up
        pygame.quit()
        sys.exit()

if __name__ == "__main__":
    main() 